summaryrefslogtreecommitdiff
path: root/etc
diff options
context:
space:
mode:
authormartin <martin@NetBSD.org>2020-04-22 17:55:16 +0000
committermartin <martin@NetBSD.org>2020-04-22 17:55:16 +0000
commite3e5e9420b7a3e242fb11fbf778c7b0534f46060 (patch)
tree9309426449294bf33b7267d8a634c5f20f15cd33 /etc
parent487a94f7da554ba4717883efac416db1e2ab2cb1 (diff)
Pull up following revision(s) (requested by kim in ticket #838):
share/man/man5/ifconfig.if.5: revision 1.20 etc/rc.d/network: revision 1.78 (plus patch) usr.sbin/rtsold/rtsold.8: revision 1.42 Add an "rtsol" keyword to ifconfig.if for enabling IPv6 RS/RA Sort SEE ALSO. Update date
Diffstat (limited to 'etc')
-rwxr-xr-xetc/rc.d/network13
1 files changed, 11 insertions, 2 deletions
diff --git a/etc/rc.d/network b/etc/rc.d/network
index 7a40b4b1aae..9c137f7dfda 100755
--- a/etc/rc.d/network
+++ b/etc/rc.d/network
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# $NetBSD: network,v 1.76 2018/10/23 09:25:33 mrg Exp $
+# $NetBSD: network,v 1.76.2.1 2020/04/22 17:55:16 martin Exp $
#
# PROVIDE: network
@@ -215,7 +215,8 @@ network_start_interfaces()
# For each line from the $ifconfig_xxN variable or the
# /etc/ifconfig.xxN file, we ignore comments and blank lines,
# treat lines beginning with "!" as commands to execute, treat
- # "dhcp" as a special case to invoke dhcpcd, and for any other
+ # "dhcp" as a special case to invoke dhcpcd, treat "rtsol" as
+ # a special case to send a router solicitation, and for any other
# line we run "ifconfig xxN", using each line of the file as the
# arguments for a separate "ifconfig" invocation.
#
@@ -322,6 +323,14 @@ network_start_interfaces()
${dhcpcd_flags} $int
fi
;;
+ rtsol)
+ if ! checkyesno dhcpcd; then
+ /sbin/sysctl -qw \
+ net.inet6.ip6.accept_rtadv=1
+ /sbin/dhcpcd -q6T --nodhcp6 $int \
+ >/dev/null
+ fi
+ ;;
*)
# Pass args to ifconfig. Note
# that args may contain embedded